﻿Type=Class
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@

'Class module
Sub Class_Globals
	Private et As EditText
	Private vr As VoiceRecognition
	Private btn As Button
	Public spkBase As Panel  '6/15/13 added by ali to display visibility

End Sub

Public Sub Initialize (TargetModule As Object, EventName As String)
	vr.Initialize("vr")
End Sub

Public Sub DesignerCreateView(base As Panel, lbl As Label, Props As Map)

  spkBase = base  '6/15/13 added by ali to display visibility
	
	btn.Initialize("btn")
	base.AddView(btn, 0, 0, base.Width, base.Height)
	btn.Background = LoadResourceDrawable(17301668) 'R.drawable.ic_btn_speak_now
	btn.Enabled = vr.IsSupported
	
End Sub

Private Sub btn_Click
'  btn.Color=Colors.Red  '6/17/13  not good
	vr.Listen
End Sub

Private Sub vr_Result (Success As Boolean, Texts As List)

	If Success And Texts.Size > 0 Then
		Dim s As String = Texts.Get(0)
		If et.InputType=et.INPUT_TYPE_DECIMAL_NUMBERS Then 'if numbers with decimals 
		  s = s.Replace(" ","")
			If IsNumber(s) = False Then
		     et.Text=""
		   ToastMessageShow("No letters",False)
			Else
			  et.Text=s
			End If
		Else If et.InputType=et.INPUT_TYPE_NUMBERS  Then 	'if numbers w/o decimals 
			 s = s.Replace(" ","")
			 If IsNumber(s) = False Or s.Contains(".") Then
		     et.Text=""
		     ToastMessageShow("No letters or decimals",False)
			 Else
			   et.Text=s
			 End If
		Else    'if TEXT or anything else
			et.Text=s
		End If
	End If
	
End Sub

Public Sub setTargetEditText(val As EditText)
	et = val
End Sub

Public Sub setIcon(bmp As Bitmap)
	Dim bd As BitmapDrawable
	bd.Initialize(bmp)
	btn.Background = bd
End Sub

Public Sub setLanguage(val As String)
	vr.Language = val
End Sub

Private Sub LoadResourceDrawable(id As Int) As Object
	Dim r As Reflector
    r.Target = r.GetContext
    r.Target = r.RunMethod("getResources")
	Return r.RunMethod2("getDrawable", id, "java.lang.int")
End Sub

	